Bug 607754 - 1.3 qpid-config does not work against 1.2 qpidd
Summary: 1.3 qpid-config does not work against 1.2 qpidd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf
Version: beta
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Ted Ross
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 17:57 UTC by Gordon Sim
Modified: 2011-08-12 16:03 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-10-13 13:27:45 UTC


Attachments (Terms of Use)

Description Gordon Sim 2010-06-24 17:57:33 UTC
Description of problem:

Using updated tools against old broker results in exception:

EXCEPTION in Broker._v1Cb: 'NoneType' object has no attribute 'routing_key'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/qmf/console.py", line 2358, in _v1Dispatch
    self._v1DispatchProtected(msg)
  File "/usr/lib/python2.4/site-packages/qmf/console.py", line 2381, in _v1DispatchProtected
    if dp.routing_key:
AttributeError: 'NoneType' object has no attribute 'routing_key'


Version-Release number of selected component (if applicable):

qpid-tools-0.7.946106-4.el5
python-qmf-0.7.946106-4.el5

v

qpidd-0.5.752581-34.el5

How reproducible:

100%

Steps to Reproduce:
1. start 1.2 broker
2. run 1.3 (beta) qpid-config against it
  
Actual results:

Error as above.

Expected results:

No error.

Additional info:

The other way round works fine however (i.e. old qpid-config against new qpidd).

Comment 1 Ted Ross 2010-06-24 18:50:32 UTC
Resolved upstream in revision 957676.


Note You need to log in before you can comment on or make changes to this bug.